## lio-utils 3.1+git0.91b96103

=== debian/changelog ===
lio-utils (3.1+git0.91b96103-2) unstable; urgency=low

  * Upload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 12 Dec 2011 16:58:13 +0530

lio-utils (3.1+git0.91b96103-1) experimental; urgency=low

  * Initial release. (Closes: #622382)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 02 Dec 2011 01:01:48 +0530

## lio-utils 3.1+git2.fd0b34fd

=== Makefile ===
include MCONFIG_ALL
CWD=$(shell pwd)

default:: all

all:
	cd tcm-py ; python setup.py build
	cd lio-py ; python setup.py build
	-if test -d tools; then make -C tools; fi;
ifeq ($(SNMP_FEATURE), 1)
	-if test -d mib-modules; then make -C mib-modules; fi;
endif

user_rpms:
	-if test -d tools; then make -C tools; fi;
	./autoconfig make_target_user_rpm
ifeq ($(SNMP_FEATURE), 1)
	-if test -d mib-modules; then make -C mib-modules; fi;
	./autoconfig make_mibs_rpm
endif

conf_install:
	if [ ! -d $(DESTDIR)/etc/target ]; then		\
		mkdir -p $(DESTDIR)/etc/target;		\
	fi
	if [ ! -f $(DESTDIR)/etc/target/tcm_start.sh ]; then	\
		install -m 0755 conf/tcm_start.default $(DESTDIR)/etc/target/tcm_start.sh;	\
	fi
	if [ ! -f $(DESTDIR)/etc/target/lio_start.sh ]; then	\
		install -m 0755 conf/lio_start.default $(DESTDIR)/etc/target/lio_start.sh;	\
	fi						\

initd_install:
	if [ ! -d $(DESTDIR)/etc/init.d ]; then 	\
		mkdir -p $(DESTDIR)/etc/init.d;		\
	fi
	install -m 0755 scripts/rc.target $(DESTDIR)/etc/init.d/target	

install: all initd_install conf_install
	cd tcm-py ; python setup.py install ; sh install.sh
	cd lio-py ; python setup.py install ; sh install.sh
	-if test -d tools; then make -C tools install; fi
ifeq ($(SNMP_FEATURE), 1)
	-if test -d mib-modules; then make -C mib-modules install; fi
endif

deinstall:
	cd tcm-py ; sh uninstall.sh
	cd lio-py ; sh uninstall.sh

clean:
	cd tcm-py ; python setup.py clean ; rm -rf build
	cd lio-py ; python setup.py clean ; rm -rf build
	rm -rf build
	-if test -d tools; then make -C tools clean; fi;
ifeq ($(SNMP_FEATURE), 1)
	-if test -d mib-modules; then make -C mib-modules clean; fi;
endif

=== mib-modules/Makefile ===
#CWD=$(shell pwd)
#AUTOCONFIG=$(CWD)/../autoconfig --write-to-file --current-directory=$(CWD)
#include $(shell $(AUTOCONFIG))

#
# Makefile for dynamically loadable module for the Target Mib
#
TOPDIR		= /usr
MIBDIR		= $(TOPDIR)/share/snmp/mibs
DLMODDIR	= $(TOPDIR)/lib/snmp/dlmod
INCLDIR		= $(TOPDIR)/include/net-snmp

MIBS		= LIO-IPS-AUTH-MIB.txt LIO-ISCSI-MIB.txt LIO-SCSI-MIB.txt

TARG		= iscsiTargetMib.so

OBJS		= iscsiTargetMib.o iscsiMib.o scsiMib.o ipsAuthMib.o \
		iscsiAuthData.o

CC		= gcc
CFLAGS		= -I$(INCLDIR) -I$(INCLDIR)/agent -I$(INCLDIR)/agent/mibgroup -shared -fPIC
CFLAGS		+= -I../include -Wall -Werror
#CFLAGS		+=$(AUTO_CFLAGS)

LD		= gcc -shared

INSTALL		= install

all: $(TARG)

%.o: %.c *.h 
	$(CC) $(CFLAGS) -o $@ -c $<

$(TARG): $(OBJS)
	$(LD) -o $@ $(OBJS)

clean:
	rm -f $(OBJS) $(TARG)

install: all
	mkdir -p $(DESTDIR)/$(DLMODDIR)
	$(INSTALL) $(TARG) $(DESTDIR)/$(DLMODDIR)
	mkdir -p $(DESTDIR)/$(MIBDIR)
	(cd mibs ; $(INSTALL) -m 644 $(MIBS) $(DESTDIR)/$(MIBDIR))

=== tools/Makefile ===

ISCSI_NAME           = iscsi-name
ISCSI_NAME_SRCS      = iscsi_name.c md5.c
ISCSI_NAME_OBJS      = $(ISCSI_NAME_SRCS:.c=.o)

all:: $(ISCSI_NAME) 

$(ISCSI_NAME): $(ISCSI_NAME_OBJS)
	$(CC) -o $@ $(CFLAGS) $(ISCSI_NAME_OBJS) 

clean:
	rm -f $(ISCSI_NAME_OBJS) $(ISCSI_NAME) 

install:
	install -m 0755 $(ISCSI_NAME)     $(DESTDIR)/usr/sbin/iscsi-name

=== debian/changelog ===
lio-utils (3.1+git2.fd0b34fd-2) unstable; urgency=low

  * [5a3076c] Pick patch from upstream to set buffered io persistent
    across reboots. Thanks to Nicholas Bellinger

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 25 Mar 2013 21:06:14 +0530

lio-utils (3.1+git2.fd0b34fd-1) unstable; urgency=low

  * [2dcd774] Add README.source
  * [074e1fc] Imported Upstream version 3.1+git2.fd0b34fd
    (Closes: #654262, #652052)
  * [b84f9ac] Fix debian/copyright to comply to format 1.0
  * [ff79fe6] Add patch shell-script-header.patch to define header for
    shell scripts

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 15 May 2012 17:54:48 +0530

=== debian/control ===
Source: lio-utils
Section: python
Priority: optional
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper(>= 7.0.50~), python(>= 2.6.6-3~), libsnmp-dev
Standards-Version: 3.9.2
Homepage: http://www.risingtidesystems.com/git/?p=lio-utils.git;a=summary
Vcs-Git: git://git.debian.org/git/linux-target/lio-utils.git
Vcs-Browser: http://git.debian.org/?p=linux-target/lio-utils.git

Package: lio-utils
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: configuration tool for LIO core target
 lio-utils provide a simple low-level configuration tool set for LIO
 Linux SCSI Target. This includes the target and its backstores including
 tcm_loop, and the iSCSI,  FCoE and Fibre Channel fabric modules.

=== debian/rules ===
#!/usr/bin/make -f

build_dir   = build
install_dir = debian/lio-utils



%:
	dh $@ --with python2

override_dh_auto_clean:
	# manually clean any *.pyc files
	find . -name "*.pyc" | xargs rm -f
	find . -name "*.pyo" | xargs rm -f

override_dh_auto_build:
	dh_testdir
	$(MAKE) DESTDIR=$(install_dir) -C tools
	cd tcm-py ; python setup.py build --build-base $(build_dir)/tcm-py/
	cd lio-py ; python setup.py build --build-base $(build_dir)/lio-py/

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/$(install_dir) conf_install;	\
	if [ -d tools ]; then	\
		mkdir -p $(CURDIR)/$(install_dir)/usr/sbin;	\
		$(MAKE) DESTDIR=$(CURDIR)/$(install_dir) -C tools install; \
        fi
	if [ -d mib-modules ]; then	\
		$(MAKE) DESTDIR=$(CURDIR)/$(install_dir) -C mib-modules install;	\
	fi

	cd tcm-py ; python setup.py install --prefix=/usr --no-compile --root=$(CURDIR)/$(install_dir) --install-layout=deb
	cd lio-py ; python setup.py install --prefix=/usr --no-compile --root=$(CURDIR)/$(install_dir) --install-layout=deb

override_dh_link:
	# Hack for now.
	chmod a+x $(CURDIR)/$(install_dir)/usr/share/pyshared/*.py

	# Upstream links a bunch of py's to bins.
	dh_link /usr/share/pyshared/tcm_node.py /usr/sbin/tcm_node
	dh_link /usr/share/pyshared/tcm_loop.py /usr/sbin/tcm_loop
	dh_link /usr/share/pyshared/tcm_dump.py /usr/sbin/tcm_dump
	dh_link /usr/share/pyshared/tcm_fabric.py /usr/sbin/tcm_fabric
	dh_link /usr/share/pyshared/lio_node.py /usr/sbin/lio_node
	dh_link /usr/share/pyshared/lio_dump.py /usr/sbin/lio_dump

override_dh_installinit:
	dh_installinit --name target
